Loading...
Searching...
No Matches
websocketpp::log::alevel Struct Reference

Package of log levels for logging access events. More...

`#include <levels.hpp>`

## Static Public Member Functions

static char const * | channel_name (level channel)
| Get the textual name of a channel given a channel id.

## Static Public Attributes

static level const | none = 0x0
| Special aggregate value representing "no levels".
static level const | connect = 0x1
| Information about new connections.
static level const | disconnect = 0x2
| One line for each closed connection. Includes closing codes and reasons.
static level const | control = 0x4
| One line per control frame.
static level const | frame_header = 0x8
| One line per frame, includes the full frame header.
static level const | frame_payload = 0x10
| One line per frame, includes the full message payload (warning: chatty).
static level const | message_header = 0x20
| Reserved.
static level const | message_payload = 0x40
| Reserved.
static level const | endpoint = 0x80
| Reserved.
static level const | debug_handshake = 0x100
| Extra information about opening handshakes.
static level const | debug_close = 0x200
| Extra information about closing handshakes.
static level const | devel = 0x400
| Development messages (warning: very chatty).
static level const | app = 0x800
| Special channel for application specific logs. Not used by the library.
static level const | http = 0x1000
| Access related to HTTP requests.
static level const | fail = 0x2000
| One line for each failed WebSocket connection with details.
static level const | access_core = 0x00003003
static level const | all = 0xffffffff
| Special aggregate value representing "all levels".

## Detailed Description

Package of log levels for logging access events.

Definition at line 112 of file levels.hpp.

## Member Function Documentation

## channel_name()

char const * websocketpp::log::alevel::channel_name | ( | level | channel | ) |

inline static

Get the textual name of a channel given a channel id.

Get the textual name of a channel given a channel id. The id must be that of a single channel. Passing an aggregate channel package results in undefined behavior.

Parameters

  channel | The channelid to look up.

Returns
  The name of the specified channel.

Definition at line 164 of file levels.hpp.

## Member Data Documentation

## access_core

level const websocketpp::log::alevel::access_core = 0x00003003

static

Aggregate package representing the commonly used core access channels Connect, Disconnect, Fail, and HTTP

Definition at line 150 of file levels.hpp.

## all

level const websocketpp::log::alevel::all = 0xffffffff

static

Special aggregate value representing "all levels".

Definition at line 152 of file levels.hpp.

## app

level const websocketpp::log::alevel::app = 0x800

static

Special channel for application specific logs. Not used by the library.

Definition at line 143 of file levels.hpp.

## connect

level const websocketpp::log::alevel::connect = 0x1

static

Information about new connections.

One line for each new connection that includes a host of information including: the remote address, websocket version, requested resource, http code, remote user agent

Definition at line 121 of file levels.hpp.

## control

level const websocketpp::log::alevel::control = 0x4

static

One line per control frame.

Definition at line 125 of file levels.hpp.

## debug_close

level const websocketpp::log::alevel::debug_close = 0x200

static

Extra information about closing handshakes.

Definition at line 139 of file levels.hpp.

## debug_handshake

level const websocketpp::log::alevel::debug_handshake = 0x100

static

Extra information about opening handshakes.

Definition at line 137 of file levels.hpp.

## devel

level const websocketpp::log::alevel::devel = 0x400

static

Development messages (warning: very chatty).

Definition at line 141 of file levels.hpp.

## disconnect

level const websocketpp::log::alevel::disconnect = 0x2

static

One line for each closed connection. Includes closing codes and reasons.

Definition at line 123 of file levels.hpp.

## endpoint

level const websocketpp::log::alevel::endpoint = 0x80

static

Reserved.

Definition at line 135 of file levels.hpp.

## fail

level const websocketpp::log::alevel::fail = 0x2000

static

One line for each failed WebSocket connection with details.

Definition at line 147 of file levels.hpp.

## frame_header

level const websocketpp::log::alevel::frame_header = 0x8

static

One line per frame, includes the full frame header.

Definition at line 127 of file levels.hpp.

## frame_payload

level const websocketpp::log::alevel::frame_payload = 0x10

static

One line per frame, includes the full message payload (warning: chatty).

Definition at line 129 of file levels.hpp.

## http

level const websocketpp::log::alevel::http = 0x1000

static

Access related to HTTP requests.

Definition at line 145 of file levels.hpp.

## message_header

level const websocketpp::log::alevel::message_header = 0x20

static

Reserved.

Definition at line 131 of file levels.hpp.

## message_payload

level const websocketpp::log::alevel::message_payload = 0x40

static

Reserved.

Definition at line 133 of file levels.hpp.

## none

level const websocketpp::log::alevel::none = 0x0

static

Special aggregate value representing "no levels".

Definition at line 114 of file levels.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/logger/levels.hpp